/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, markType, getInstanceType } from "igniteui-react-core/ES2015/type";
import { IFinancialPriceSeriesProxy_$type } from "./IFinancialPriceSeriesProxy";
import { stringEndsWith } from "igniteui-react-core/ES2015/string";
/**
 * @hidden
 */
export class FinancialPriceSeriesProxy extends Base {
    getCloseMemberPath(a) {
        return a.n5;
    }
    getHighMemberPath(a) {
        return a.n8;
    }
    getLowMemberPath(a) {
        return a.od;
    }
    getOpenMemberPath(a) {
        return a.oh;
    }
    getVolumeMemberPath(a) {
        return a.ol;
    }
    matchesType(a) {
        if (!a.cr) {
            return false;
        }
        if (stringEndsWith(getInstanceType(a).typeName, "Indicator") || stringEndsWith(getInstanceType(a).typeName, "Overlay")) {
            return false;
        }
        return true;
    }
    setCategoryMode(a, b) {
        a.l8 = b;
    }
    setCloseMemberPath(a, b) {
        a.n5 = b;
    }
    setDisplayType(a, b) {
        a.pd = b;
    }
    setHighMemberPath(a, b) {
        a.n8 = b;
    }
    setLowMemberPath(a, b) {
        a.od = b;
    }
    setOpenMemberPath(a, b) {
        a.oh = b;
    }
    setVolumeMemberPath(a, b) {
        a.ol = b;
    }
    setXAxis(a, b) {
        a.l1 = b;
    }
    setYAxis(a, b) {
        a.mm = b;
    }
}
FinancialPriceSeriesProxy.$t = markType(FinancialPriceSeriesProxy, 'FinancialPriceSeriesProxy', Base.$, [IFinancialPriceSeriesProxy_$type]);
